/* 
    CSS Guide 

    1.  General Grid Styles
        Utility Classes
    2.  Mobile Grid
    3.  Tablet Grid
    4.  Desktop Grid
    5.  XL Grid

 */


 /* 1. ---General Grid Styles--- */

 html {
  box-sizing: border-box; 
}

*, *::before, *::after {
  box-sizing: inherit; 
}
/* ---Utility Classes--- */

 .grid-con { 
  display: grid;
  grid-template-columns: repeat(4, minmax(0, 1fr));
  grid-column-gap: 15px;
  max-width: 1200px;
  margin: 0 auto;
  padding-left: 20px;
  padding-right: 20px;
}

/* 2. ---Mobile Library Grid Styles--- */
.col-span-1	{grid-column: span 1 / span 1;}
.col-span-2	{grid-column: span 2 / span 2;}
.col-span-3	{grid-column: span 3 / span 3;}
.col-span-4	{grid-column: span 4 / span 4;}
.col-span-full {grid-column: 1 / -1;}

.col-start-1	{grid-column-start: 1;}
.col-start-2	{grid-column-start: 2;}
.col-start-3	{grid-column-start: 3;}
.col-start-4	{grid-column-start: 4;}

.col-end-2	{grid-column-end: 2;}
.col-end-3	{grid-column-end: 3;}
.col-end-4	{grid-column-end: 4;}
.col-end-5	{grid-column-end: 5;}

/* 3. ---Tablet Library Grid Styles--- */
@media screen and (min-width: 768px) {
  .grid-con { 
    display: grid;
    grid-template-columns: repeat(12, minmax(0, 1fr));
    grid-column-gap: 20px;
    max-width: 1500px;
    margin: 0 auto;
    padding-left: 60px;
    padding-right: 60px;
  }

.m-col-spa .m-col-span-1	{grid-column: span 1 / span 1;}
.m-col-span-2	{grid-column: span 2 / span 2;}
.m-col-span-3	{grid-column: span 3 / span 3;}
.m-col-span-4	{grid-column: span 4 / span 4;}
.m-col-span-5	{grid-column: span 5 / span 5;}
.m-col-span-6	{grid-column: span 6 / span 6;}
.m-col-span-7	{grid-column: span 7 / span 7;}
.m-col-span-8	{grid-column: span 8 / span 8;}
.m-col-span-9	{grid-column: span 9 / span 9;}
.m-col-span-10 {grid-column: span 10 / span 10;}
.m-col-span-11 {grid-column: span 11 / span 11;}
.m-col-span-12 {grid-column: span 12 / span 12;}
.m-col-span-full {grid-column: 1 / -1;}

.m-col-start-1	{grid-column-start: 1;}
.m-col-start-2	{grid-column-start: 2;}
.m-col-start-3	{grid-column-start: 3;}
.m-col-start-4	{grid-column-start: 4;}
.m-col-start-5	{grid-column-start: 5;}
.m-col-start-6	{grid-column-start: 6;}
.m-col-start-7	{grid-column-start: 7;}
.m-col-start-8	{grid-column-start: 8;}
.m-col-start-9	{grid-column-start: 9;}
.m-col-start-10	{grid-column-start: 10;}
.m-col-start-11	{grid-column-start: 11;}
.m-col-start-12	{grid-column-start: 12;}
.m-col-start-13	{grid-column-start: 13;}


.m-col-end-1	{grid-column-end: 1;}
.m-col-end-2	{grid-column-end: 2;}
.m-col-end-3	{grid-column-end: 3;}
.m-col-end-4	{grid-column-end: 4;}
.m-col-end-5	{grid-column-end: 5;}
.m-col-end-6	{grid-column-end: 6;}
.m-col-end-7	{grid-column-end: 7;}
.m-col-end-8	{grid-column-end: 8;}
.m-col-end-9	{grid-column-end: 9;}
.m-col-end-10	{grid-column-end: 10;}
.m-col-end-11	{grid-column-end: 11;}
.m-col-end-12	{grid-column-end: 12;}
.m-col-end-13	{grid-column-end: 13;}

}

/* 4. ---Desktop Library Grid Styles--- */
@media screen and (min-width: 1200px) { 

  .grid-con { 
    display: grid;
    grid-template-columns: repeat(12, minmax(0, 1fr));
    grid-column-gap: 20px;
    max-width: 1500px;
    margin: 0 auto;
    padding-left: 100px;
    padding-right: 100px;
  }

.l-col-span-1	{grid-column: span 1 / span 1;}
.l-col-span-2	{grid-column: span 2 / span 2;}
.l-col-span-3	{grid-column: span 3 / span 3;}
.l-col-span-4	{grid-column: span 4 / span 4;}
.l-col-span-5	{grid-column: span 5 / span 5;}
.l-col-span-6	{grid-column: span 6 / span 6;}
.l-col-span-7	{grid-column: span 7 / span 7;}
.l-col-span-8	{grid-column: span 8 / span 8;}
.l-col-span-9	{grid-column: span 9 / span 9;}
.l-col-span-10 {grid-column: span 10 / span 10;}
.l-col-span-11 {grid-column: span 11 / span 11;}
.l-col-span-12 {grid-column: span 12 / span 12;}
.l-col-span-full {grid-column: 1 / -1;}

.l-col-start-1	{grid-column-start: 1;}
.l-col-start-2	{grid-column-start: 2;}
.l-col-start-3	{grid-column-start: 3;}
.l-col-start-4	{grid-column-start: 4;}
.l-col-start-5	{grid-column-start: 5;}
.l-col-start-6	{grid-column-start: 6;}
.l-col-start-7	{grid-column-start: 7;}
.l-col-start-8	{grid-column-start: 8;}
.l-col-start-9	{grid-column-start: 9;}
.l-col-start-10	{grid-column-start: 10;}
.l-col-start-11	{grid-column-start: 11;}
.l-col-start-12	{grid-column-start: 12;}
.l-col-start-13	{grid-column-start: 13;}


.l-col-end-1	{grid-column-end: 1;}
.l-col-end-2	{grid-column-end: 2;}
.l-col-end-3	{grid-column-end: 3;}
.l-col-end-4	{grid-column-end: 4;}
.l-col-end-5	{grid-column-end: 5;}
.l-col-end-6	{grid-column-end: 6;}
.l-col-end-7	{grid-column-end: 7;}
.l-col-end-8	{grid-column-end: 8;}
.l-col-end-9	{grid-column-end: 9;}
.l-col-end-10	{grid-column-end: 10;}
.l-col-end-11	{grid-column-end: 11;}
.l-col-end-12	{grid-column-end: 12;}
.l-col-end-13	{grid-column-end: 13;}
}


/* 5. ---X-Large Desktop Library Grid Styles--- */